Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLImageElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLImageElementImpl

public interface HTMLImageElement
extends HTMLElement

Embedded image. See the IMG element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` | `getBorder()` Width of border around image.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image.
`boolean` | `getIsMap()` Use server-side image map.
`java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` | `getLowSrc()` URI designating the source of this image, for low-resolution output.
`java.lang.String` | `getName()` The name of the element (for backwards compatibility).
`java.lang.String` | `getSrc()` URI designating the source of this image.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getVspace()` Vertical space above and below this image.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setBorder(java.lang.String border)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setLowSrc(java.lang.String lowSrc)`
`void` | `setName(java.lang.String name)`
`void` | `setSrc(java.lang.String src)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getLowSrc

    public java.lang.String getLowSrc()

  URI designating the source of this image, for low-resolution output.

### setLowSrc

    public void setLowSrc(java.lang.String lowSrc)

### getName

    public java.lang.String getName()

  The name of the element (for backwards compatibility).

### setName

    public void setName(java.lang.String name)

### getAlign

    public java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getAlt

    public java.lang.String getAlt()

  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.

### setAlt

    public void setAlt(java.lang.String alt)

### getBorder

    public java.lang.String getBorder()

  Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBorder

    public void setBorder(java.lang.String border)

### getHeight

    public java.lang.String getHeight()

  Override height. See the height attribute definition in HTML 4.0.

### setHeight

    public void setHeight(java.lang.String height)

### getHspace

    public java.lang.String getHspace()

  Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    public void setHspace(java.lang.String hspace)

### getIsMap

    public boolean getIsMap()

  Use server-side image map. See the ismap attribute definition in HTML 4.0.

### setIsMap

    public void setIsMap(boolean isMap)

### getLongDesc

    public java.lang.String getLongDesc()

  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

### getSrc

    public java.lang.String getSrc()

  URI designating the source of this image. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(java.lang.String src)

### getUseMap

    public java.lang.String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    public void setUseMap(java.lang.String useMap)

### getVspace

    public java.lang.String getVspace()

  Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    public void setVspace(java.lang.String vspace)

### getWidth

    public java.lang.String getWidth()

  Override width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD